Summary:	A utility for determining file types.
Name:		file
Version:	4.15
Release:	2
License:	distributable
Group:		Applications/File
Source0:	ftp://ftp.astron.com/pub/file/file-%{version}.tar.gz
Patch0:		file-4.13-shutup-gd-1.diff
Buildroot:	%{_tmppath}/%{name}-%{release}-root

%description
The file command is used to identify a particular file according to the
type of data contained by the file.

%files
  %defattr(-,root,root)
  %doc %{_mandir}/man1/*
  %doc %{_mandir}/man3/*
  %doc %{_mandir}/man4/*

  %attr(0511,root,root)		%{_bindir}/file
  %attr(0755,root,root)		%dir %{_datadir}/file
  %attr(0644,root,root)		%{_datadir}/file/*
  %attr(0555,root,root)		%{_libdir}/libmagic.so*

%prep
%setup -q
%patch0 -p1

%build
  %configure
  make

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  %makeinstall
  strip $RPM_BUILD_ROOT/%{_bindir}/file

  # Remove unpackaged files.
  rm -f $RPM_BUILD_ROOT/%{_includedir}/magic.h
  rm -f $RPM_BUILD_ROOT/%{_libdir}/libmagic.a
  rm -f $RPM_BUILD_ROOT/%{_libdir}/libmagic.la
  rm -f $RPM_BUILD_ROOT/%{_libdir}/libmagic.so

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Aug 25 2005 Pete O'Hara <pete@guardiandigital.com>
- Version 4.15, Release 2
  - Upgrade to the latest version

* Tue Jun 30 2005 Pete O'Hara <pete@guardiandigital.com>
- Version 4.13, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
